@import url('fonts.css');
@import url('navigation.css');
@import url('colors.css');
@import url('note.css');

html {
    background-color: var(--color-background-1);
}

body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Inter, Ubuntu, sans-serif;
    color: var(--color-primary-1);

    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 16px;
}

header {
    display: flex;
    max-width: 720px;
    width: 100%;
    position: relative;
    z-index: 1001;
}

main {
    max-width: 720px;
    width: 100%;
}

footer {
    max-width: 720px;
    width: 100%;

    padding-bottom: 32px;

    opacity: 80%;
}

a {
    color: var(--color-accent);
}

a:hover {
    color: var(--color-accent-hover);
}

/* Improve readability for smaller text, especially in long paragraphs */
p,
a,
ul,
ol {
    line-height: 1.6em;
    font-size: 18px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 1em;
    margin-bottom: 0.5em;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Inter, Ubuntu, sans-serif;
}

h1 {
    font-size: 2em;
}

h2 {
    font-size: 1.5em;
}

h3 {
    font-size: 1.2em;
}

img {
    max-width: 100%;
}

sup {
    vertical-align: 3px;
    font-size: 12px;
    padding-left: 2px;
    padding-right: 2px;
}

.footnotes {
    padding-top: 32px;
}
